Package org.apache.calcite.avatica.remote

# Interface UsernamePasswordAuthenticateable

All Known Implementing Classes:
  `AvaticaCommonsHttpClientImpl`

public interface UsernamePasswordAuthenticateable
Interface that allows configuration of a username and password with some HTTP authentication.

## Method Summary

Modifier and Type
Method
Description
`void`
`setUsernamePassword(AuthenticationType authType, String username, String password)`
Sets the username, password and method to be used for authentication.

## Method Details

### setUsernamePassword

void setUsernamePassword(AuthenticationType authType, String username, String password)
Sets the username, password and method to be used for authentication.

Parameters:
  `authType` - Type of authentication
  `username` - Username
  `password` - Password